/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/domains/filesystem/fileutils.hpp

*/

#ifndef DOMAIN_FILESYSTEM_FILE_UTILS_HPP
#define DOMAIN_FILESYSTEM_FILE_UTILS_HPP	1

class sgxFilename {
public:
	static tBOOL	getFilename(sgxString &filename, const sgxString &filepath);
	static tBOOL	splitPathAndFilename(sgxString &path, sgxString &filename, const sgxString &filepath);
	static tBOOL	splitNameAndExtension(sgxString &filename, sgxString &ext, const sgxString &filepath);
	static tBOOL	getExtension(sgxString &ext, const sgxString &filepath);
	static tBOOL	replaceExtension(sgxString &filepath, const sgxString &ext);
	static tBOOL	extractPathRoot(sgxString &filepath, const sgxString &pathroot, const sgxString &fullpath);
	static tBOOL	getBaseName(sgxString &basename, const sgxString &path);
	static tBOOL	getParent(sgxString &parentPath, const sgxString &path);

};
	
#endif // DOMAIN_FILESYSTEM_FILE_UTILS_HPP
